org.apache.storm.kinesis.spout

## Class ZkInfo

- java.lang.Object
- - org.apache.storm.kinesis.spout.ZkInfo

- All Implemented Interfaces:
    Serializable

      public class ZkInfo
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZkInfo(String zkUrl, String zkNode, Integer sessionTimeoutMs, Integer connectionTimeoutMs, Long commitIntervalMs, Integer retryAttempts, Integer retryIntervalMs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `getCommitIntervalMs()`
    `Integer` | `getConnectionTimeoutMs()`
    `Integer` | `getRetryAttempts()`
    `Integer` | `getRetryIntervalMs()`
    `Integer` | `getSessionTimeoutMs()`
    `String` | `getZkNode()`
    `String` | `getZkUrl()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ZkInfo

          public ZkInfo(String zkUrl,
                        String zkNode,
                        Integer sessionTimeoutMs,
                        Integer connectionTimeoutMs,
                        Long commitIntervalMs,
                        Integer retryAttempts,
                        Integer retryIntervalMs)

  - ### Method Detail

    - #### getZkUrl

          public String getZkUrl()

    - #### getZkNode

          public String getZkNode()

    - #### getSessionTimeoutMs

          public Integer getSessionTimeoutMs()

    - #### getConnectionTimeoutMs

          public Integer getConnectionTimeoutMs()

    - #### getCommitIntervalMs

          public Long getCommitIntervalMs()

    - #### getRetryAttempts

          public Integer getRetryAttempts()

    - #### getRetryIntervalMs

          public Integer getRetryIntervalMs()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019 The Apache Software Foundation. All rights reserved.